Page MenuHomePhabricator

Switch fetching image size to use ResourceTiming API
Closed, DeclinedPublic

Description

Using the Resource Timing API will make the Performance inspector faster (we don't need to do a Ajax request for each and every image). We did start with a implementation that supported Resource Timing API for browsers that supports it but then ran into a bug in Firefox: https://bugzilla.mozilla.org/show_bug.cgi?id=1113676

Practically the bug means that images that are in the browser cache is missed in the Resource Timing API. When that is shipped in Firefox, lets change our implementation to start use the API.

» Upstream: https://bugzilla.mozilla.org/show_bug.cgi?id=1113676

Event Timeline

Change 308682 had a related patch set uploaded (by Phedenskog):
Explain why we don't use ResourceTiming for getting images.

https://gerrit.wikimedia.org/r/308682

Change 308682 merged by jenkins-bot:
Explain why we don't use ResourceTiming for getting images.

https://gerrit.wikimedia.org/r/308682

With Chrome 54 we have support in Chrome and this will make the inspections much faster.

Change 315961 had a related patch set uploaded (by Phedenskog):
Collect image size from Resource Timing (when supported)

https://gerrit.wikimedia.org/r/315961

Change 315961 merged by jenkins-bot:
Collect image size from Resource Timing (when supported)

https://gerrit.wikimedia.org/r/315961

This is fixed for Chrome, lets keep it open for Firefox until they fixed the image size bug.

Krinkle triaged this task as Medium priority.Nov 21 2016, 6:31 PM
Krinkle removed a project: Patch-For-Review.
Krinkle moved this task from Doing (old) to Blocked (old) on the Performance-Team board.
Krinkle changed the task status from Open to Stalled.Jun 23 2017, 6:34 PM
Krinkle lowered the priority of this task from Medium to Low.Jul 1 2017, 2:07 AM
Krinkle updated the task description. (Show Details)
Krinkle renamed this task from Use ResourceTiming API to fetch image size information to Switch fetching image size to use ResourceTiming API.Jan 16 2018, 4:01 PM

Still blocked on FF.

@Peter To check whether this is still the case after FF58.

I tested now and it it seems to work in the FF60, I'll ping the upstream issue.

No I was actually wrong: 304 works but if they are in the cache and no request is done, nothing happens.

Krinkle subscribed.

Declining per T194684.